using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using fatd_faturamento.DAL.Persistencia;
using fatd_faturamento.ENTIDADE;

namespace fatd_faturamento.BLL.Repositorio
{
	public class repositorioLog_NF
	{
        public void Insert(entidadeLog_NF  objLog_NF)
        {
            dalLog_NF dalLog_NF = null;

            try
            {
                dalLog_NF = new dalLog_NF();

                dalLog_NF.Insert(objLog_NF);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Update(entidadeLog_NF objLog_NF)
        {
            dalLog_NF dalLog_NF = null;

            try
            {
                dalLog_NF = new dalLog_NF();

                dalLog_NF.Update(objLog_NF);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Delete(entidadeLog_NF objLog_NF)
        {
            dalLog_NF dalLog_NF = null;

            try
            {
                dalLog_NF = new dalLog_NF();

                dalLog_NF.Delete(objLog_NF);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeLog_NF> Select(entidadeLog_NF objLog_NF)
        {
            dalLog_NF dalLog_NF = null;

            var lstLog_NF = new List<entidadeLog_NF>();
            DataTable dt = null;

            try
            {
                dalLog_NF = new dalLog_NF();
                dt = dalLog_NF.Select(objLog_NF);

                foreach (DataRow dr in dt.Rows)
                {
                    objLog_NF = new entidadeLog_NF();


                    if (!Convert.IsDBNull(dr["IdLog"]))
                        objLog_NF.IdLog = Convert.ToInt32(dr["IdLog"]);

                    if (!Convert.IsDBNull(dr["Tela"]))
                        objLog_NF.Tela = dr["Tela"].ToString();

                    if (!Convert.IsDBNull(dr["Zona"]))
                        objLog_NF.Zona = dr["Zona"].ToString();

                    if (!Convert.IsDBNull(dr["Livro"]))
                        objLog_NF.Livro = dr["Livro"].ToString();

                    if (!Convert.IsDBNull(dr["Conta"]))
                        objLog_NF.Conta = dr["Conta"].ToString();

                    if (!Convert.IsDBNull(dr["Usuario"]))
                        objLog_NF.Usuario = dr["Usuario"].ToString();

                    if (!Convert.IsDBNull(dr["NumeroNota"]))
                        objLog_NF.NumeroNota = Convert.ToDouble(dr["NumeroNota"]);

                    if (!Convert.IsDBNull(dr["ValorNota"]))
                        objLog_NF.ValorNota = Convert.ToDecimal(dr["ValorNota"]);

                    if (!Convert.IsDBNull(dr["AnoMes"]))
                        objLog_NF.AnoMes = Convert.ToInt32(dr["AnoMes"]);

                    if (!Convert.IsDBNull(dr["Grupo"]))
                        objLog_NF.Grupo = dr["Grupo"].ToString();

                    if (!Convert.IsDBNull(dr["Observacao"]))
                        objLog_NF.Observacao = dr["Observacao"].ToString();

                    if (!Convert.IsDBNull(dr["Tipo"]))
                        objLog_NF.Tipo = dr["Tipo"].ToString();

                    if (!Convert.IsDBNull(dr["DataHora"]))
                        objLog_NF.DataHora = Convert.ToDateTime(dr["DataHora"]);
                    lstLog_NF.Add(objLog_NF);
                }
                return lstLog_NF;
            }
            catch (Exception)
            {
                throw;
            }
        }

    }
}
